Publish Version
- MCP Tool
- publish_skill_versionPublish Skill Version
- Rate Limit
- Tier 3
- Scope
- skills:write
Publishes a new skill version.
Example
bash
curl -X POST 'https://api.youvico.com/api/skills/SK1234567890ABCD/versions' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{ "content": "# Review Helper\n\nCheck revisions.", "note": "Initial public draft", "isDefault": true }'json
{
"data": {
"id": "SV1234567890ABCD"
}
}Request
Path
idstringrequired Skill ID
Body
contentstringrequired Markdown content
notestring1-1024 characters
Version note
Example: Initial public draft
isDefaultboolean Whether to make it the default version
Example: true
Response
Returns 201 Created.
dataobjectCreated version
data.idstringSkill version ID
Example: SV1234567890ABCD